aboutsummaryrefslogtreecommitdiffstats
path: root/recipes/prelink
diff options
context:
space:
mode:
authorKoen Kooi <koen@openembedded.org>2009-12-10 14:49:01 +0100
committerKoen Kooi <koen@openembedded.org>2009-12-10 17:56:27 +0100
commit029609f30412e3d6304f446b9242ba2d20b9e809 (patch)
tree3b1be049bcd28e7ef916d0177ec2121af3d66a20 /recipes/prelink
parent2f6358fffd24715cf4f927874a7b13ef2a58f390 (diff)
downloadopenembedded-029609f30412e3d6304f446b9242ba2d20b9e809.tar.gz
openembedded-029609f30412e3d6304f446b9242ba2d20b9e809.tar.bz2
openembedded-029609f30412e3d6304f446b9242ba2d20b9e809.zip
prelink: update to 20090925
Diffstat (limited to 'recipes/prelink')
-rw-r--r--recipes/prelink/prelink_20090925.bb48
1 files changed, 48 insertions, 0 deletions
diff --git a/recipes/prelink/prelink_20090925.bb b/recipes/prelink/prelink_20090925.bb
new file mode 100644
index 0000000000..49b319cc78
--- /dev/null
+++ b/recipes/prelink/prelink_20090925.bb
@@ -0,0 +1,48 @@
+SECTION = "devel"
+DEPENDS = "elfutils"
+DESCRIPTION = " The prelink package contains a utility which modifies ELF shared libraries \
+and executables, so that far fewer relocations need to be resolved at \
+runtime and thus programs come up faster."
+LICENSE = "GPL"
+
+SRC_URI = "${DEBIAN_MIRROR}/main/p/prelink/prelink_0.0.${PV}.orig.tar.gz \
+ file://prelink.conf \
+ file://prelink.cron.daily \
+ file://prelink.default"
+
+#TARGET_OS_ORIG := "${TARGET_OS}"
+#OVERRIDES_append = ":${TARGET_OS_ORIG}"
+#SRC_URI_append_linux-gnueabi = " file://arm_eabi.patch;patch=1"
+
+S = "${WORKDIR}/prelink-0.0.${PV}"
+
+EXTRA_OECONF = "--disable-64bit"
+
+inherit autotools
+
+do_install_append () {
+ install -d ${D}${sysconfdir}/cron.daily ${D}${sysconfdir}/default
+ install -m 0644 ${WORKDIR}/prelink.conf ${D}${sysconfdir}/prelink.conf
+ install -m 0644 ${WORKDIR}/prelink.cron.daily ${D}${sysconfdir}/cron.daily/prelink
+ install -m 0644 ${WORKDIR}/prelink.default ${D}${sysconfdir}/default/prelink
+}
+
+pkg_postinst_prelink() {
+#!/bin/sh
+
+if [ "x$D" != "x" ]; then
+ exit 1
+fi
+
+. ${sysconfdir}/cron.daily/prelink
+}
+
+pkg_prerm_prelink() {
+#!/bin/sh
+
+if [ -f ${sysconfdir}/prelink.cache ]; then
+ prelink -au
+ rm -f ${sysconfdir}/prelink.cache
+fi
+}
+